/// <reference types="uni-app" />
import Painter from "../painter";
import { PainterContext } from "./index";
declare const CanvasContext: new (prototype: CanvasContext) => CanvasContext & {
    context: CanvasContext;
};
export declare class PainterUniContext extends CanvasContext implements PainterContext {
    private painter;
    constructor(painter: Painter, context: CanvasContext);
    drawImageWithSrc(imageResource: string, sx: number, sy: number, sWidth: number, sHeight: number, dx?: number, dy?: number, dWidth?: number, dHeight?: number): Promise<void>;
    measureTextWidth(text: string, fontSize: number): number;
}
export {};
